package com.bcxin.ars.dto.approve;

/**
 * @author：wangcy
 * @date：2018/01/22 0022 15:27
 * @description：ApproveAreaProcessDto
 */
public class ApproveAreaProcessDto {

    //返回审批流程
    /**
     *  审批级次
     */
    private int approveRank;
    /**
     * 多人审批规则
     */
    private String manyApproveRule;

    /**
     * 职位名称
     */
    private String positionIds;

    /**
     * 审批人姓名
     */
    private String positionNames;

    /**
     * 职位名称
     */
    private String perIds;


    private String positionName;


    public String getPerIds() {
        return perIds;
    }

    public void setPerIds(String perIds) {
        this.perIds = perIds;
    }

    public String getPositionNames() {
        return positionNames;
    }

    public void setPositionNames(String positionNames) {
        this.positionNames = positionNames;
    }

    /**
     * 审批人
     */
    private String approveaPeople;


    public String getPositionName() {
        return positionName;
    }

    public void setPositionName(String positionName) {
        this.positionName = positionName;
    }

    //修改查询流程使用

    /**
     * 单位所在区域ID
     */
    private String regionId;

    /**
     * 审批环节层级Id
     */
    private Long approveLinkLevelId;

    /**
     * 审批模板环节关联ID
     */
    private Long tempLinkRelaId;

    //查询配置情况使用
    /**
     * 审批层级
     */
    private String approveLevel;
    /**
     * 公安ID
     */
    private String policeId;

    /**
     * 机构ID
     */
    private Long orgId;


    private String orgType;


    public Long getOrgId() {
        return orgId;
    }

    public void setOrgId(Long orgId) {
        this.orgId = orgId;
    }

    public String getOrgType() {
        return orgType;
    }

    public void setOrgType(String orgType) {
        this.orgType = orgType;
    }

    public String getPoliceId() {
        return policeId;
    }

    public void setPoliceId(String policeId) {
        this.policeId = policeId;
    }

    public String getApproveLevel() {
        return approveLevel;
    }

    public void setApproveLevel(String approveLevel) {
        this.approveLevel = approveLevel;
    }

    public Long getTempLinkRelaId() {
        return tempLinkRelaId;
    }

    public void setTempLinkRelaId(Long tempLinkRelaId) {
        this.tempLinkRelaId = tempLinkRelaId;
    }

    /**
     * 区域审批流程明细List
     */
    private String  ApproveAreaProDetailDtoList;


    public int getApproveRank() {
        return approveRank;
    }

    public void setApproveRank(int approveRank) {
        this.approveRank = approveRank;
    }

    public String getManyApproveRule() {
        return manyApproveRule;
    }

    public void setManyApproveRule(String manyApproveRule) {
        this.manyApproveRule = manyApproveRule;
    }

    public String getPositionIds() {
        return positionIds;
    }

    public void setPositionIds(String positionIds) {
        this.positionIds = positionIds;
    }

    public String getApproveaPeople() {
        return approveaPeople;
    }

    public void setApproveaPeople(String approveaPeople) {
        this.approveaPeople = approveaPeople;
    }

    public String getRegionId() {
        return regionId;
    }

    public void setRegionId(String regionId) {
        this.regionId = regionId;
    }

    public Long getApproveLinkLevelId() {
        return approveLinkLevelId;
    }

    public void setApproveLinkLevelId(Long approveLinkLevelId) {
        this.approveLinkLevelId = approveLinkLevelId;
    }

    public String getApproveAreaProDetailDtoList() {
        return ApproveAreaProDetailDtoList;
    }

    public void setApproveAreaProDetailDtoList(String approveAreaProDetailDtoList) {
        ApproveAreaProDetailDtoList = approveAreaProDetailDtoList;
    }
}
